LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XForm Interface Referencepublished

identifies a FormComponent as being a (sub-) form. More...

`import "XForm.idl";`

Inheritance diagram for XForm:

## Additional Inherited Members
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content.
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

identifies a FormComponent as being a (sub-) form.

This interface does not really provide an own functionality, it is only for easier runtime identification of form components.

See also
  XFormComponent

Developers Guide
  Forms - Control Models Forms

The documentation for this interface was generated from the following file:

- com/sun/star/form/XForm.idl